@echo off
echo (c) 2001, 2002 Wiebe van der Worp, ViaISN.org, General Public License (see http://fsf.org)
echo DC_Tools, Script for creating local thumb pages, v2.0
echo This session is free as in free beer and free as in freedom.
echo.

echo !!! R E A D   T H I S !!!
echo -You can always interrupt this script by pressing CTRL-C...
echo -Make sure your settings are OK...
echo -Take care for uninterrupted power supply to removable media (i.e. batteries camera)...
echo -Attach your camera and 
echo  WAIT FOR THE ICON IN THE SYSTEM TRAY
echo  before you continue, if you use removable media...
echo -Cached pictures from you previous session are up to now in dc_tools temp folder
echo.

cd ..
ren settings.txt settings.bat
call settings.bat
ren settings.bat settings.txt
echo The following settings are loaded...
echo Thumbs:          Quality is %ptpicthumbquality%; Size is %ptpicthumbsize%
echo Larger Previews: Quality is %ptpiclargequality%; Size is %ptpiclargesize%
echo Pictures come from    %ptpicorgdrive%%ptpicorgpath%
echo Pictures go to        %ptpicdestdrive%%ptpicdestpath%
echo Thumbs go to          %ptpicdestdrive%%ptpicdestpath%\%ptpicthumbprefix%
echo Larger previews go to %ptpicdestdrive%%ptpicdestpath%\%ptpiclargeprefix%
echo HTML code goes to     %ptpicdestdrive%%ptpicdestpath%\%ptpichtmlprefix%
echo ViaISN DC_Tools in    %ptpictoolsdrive%%ptpictoolspath%
echo Image Magick is in    %ptpiceditdrive%%ptpiceditpath%
echo.

echo So press CTRL-C to stop now or . . .
pause
echo.

del %ptpictoolsdrive%%ptpictoolspath%\temp\*.* /Q
echo Cached pictures from you previous session are now permanent erased.
echo.


%ptpicdestdrive%
if not exist %ptpicdestpath% md %ptpicdestpath%
if not exist %ptpicdestpath%\%ptpicthumbprefix% md %ptpicdestpath%\%ptpicthumbprefix%
if not exist %ptpicdestpath%\%ptpiclargeprefix% md %ptpicdestpath%\%ptpiclargeprefix%
if not exist %ptpicdestpath%\%ptpichtmlprefix% md %ptpicdestpath%\%ptpichtmlprefix%
if not exist %ptpictoolsdrive%%ptpictoolspath%\temp md %ptpictoolsdrive%%ptpictoolspath%\temp
echo If %ptpicdestdrive%%ptpicdestpath% and others don't exist, they are made now.
echo.

%ptpicorgdrive%
cd %ptpicorgpath%
echo Copying pictures from . . .
copy %ptpicorgdrive%%ptpicorgpath%\*.jpg %ptpictoolsdrive%%ptpictoolspath%\temp
echo.
echo Copy from cam to working directory %ptpictoolsdrive%%ptpictoolspath%\temp is done.
echo.

echo !!! R E A D   T H I S !!!
echo Pictures are transferred if you see their filenames above and no error messages occurred...
echo Your camera memory will be emptied. If there were errors or no files were
echo copied you now may want to replace batteries, or review your settings, then
echo run this script again before pictures are erased from your camera. 
echo So press CTRL-C to stop now or . . .
pause
echo.

del %ptpicorgdrive%%ptpicorgpath%\*.jpg
echo Your camera memory is being cleared...
echo You may disconnect your camera now (neat please).
echo.

attrib -R -A -S -H %ptpictoolsdrive%%ptpictoolspath%\temp\*.jpg
echo cleared file attributes of pictures
echo.

%ptpictoolsdrive%
cd %ptpictoolspath%\temp
if exist %ptpictoolsdrive%%ptpictoolspath%\temp\*.jpeg ren %ptpictoolsdrive%%ptpictoolspath%\temp\*.jpeg *.jpg
if exist %ptpictoolsdrive%%ptpictoolspath%\temp\PIC*.jpg ren %ptpictoolsdrive%%ptpictoolspath%\temp\PIC*.jpg pic*.jpg
if exist %ptpictoolsdrive%%ptpictoolspath%\temp\P*.jpg ren %ptpictoolsdrive%%ptpictoolspath%\temp\P*.jpg p*.jpg
if exist %ptpictoolsdrive%%ptpictoolspath%\temp\PA*.jpg ren %ptpictoolsdrive%%ptpictoolspath%\temp\PA*.jpg pa*.jpg
if exist %ptpictoolsdrive%%ptpictoolspath%\temp\PB*.jpg ren %ptpictoolsdrive%%ptpictoolspath%\temp\PB*.jpg pb*.jpg
rem trick to lowercase extension
ren %ptpictoolsdrive%%ptpictoolspath%\temp\*.jpg *.jpeg
ren %ptpictoolsdrive%%ptpictoolspath%\temp\*.jpeg *.jpg
echo Tried to lower case all names in %ptpictoolsdrive%%ptpictoolspath%\temp
echo.

echo Copying pictures to destination folder...
echo.
copy %ptpictoolsdrive%%ptpictoolspath%\temp\*.jpg %ptpicdestdrive%%ptpicdestpath%
echo Pictures are placed in destination folder.
echo.

echo Making html code now
if not exist %ptpicdestdrive%%ptpicdestpath%\%ptpichtmlprefix%\index.html copy %ptpictoolsdrive%%ptpictoolspath%\template.html %ptpicdestdrive%%ptpicdestpath%\%ptpichtmlprefix%\index.html
for %%f in (*.jpg) do call %ptpictoolsdrive%%ptpictoolspath%\processhtml.bat %%f
echo Html code made
echo.

dir *.jpg /b /o:n > tmp.set
echo Made sorted tempory file list 
echo.

echo Making picture versions with image magick...
echo.

echo  ... the large versions...
for /F %%f in (tmp.set) do call %ptpictoolsdrive%%ptpictoolspath%\processlarge.bat %%f
echo  ...Done
echo.

echo  ... the small versions...
for /F %%f in (tmp.set) do call %ptpictoolsdrive%%ptpictoolspath%\processthumb.bat %%f
echo  ...Done
echo.

del tmp.set
echo Tempory file list removed
echo.

echo Starting your default browser
start %ptpicdestdrive%%ptpicdestpath%\%ptpichtmlprefix%\index.html
echo.
echo Bye bye . . .
echo.

